Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.components
Class ComponentUtil

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.components.ComponentUtil

    public class ComponentUtil

extends Object

Author:
  Holger Knublauch

Nested Class Summary
`static class` | `ComponentUtil.DatatypeCellRenderer`

Constructor Summary
`ComponentUtil()`

Method Summary
`static JComboBox` | `createDatatypeComboBox(OWLModel owlModel)`
`static JComboBox` | `createLangCellEditor(OWLModel owlModel, JTable table)`
`static JComboBox` | `createLanguageComboBox(OWLModel owlModel)`
`static JComboBox` | `createLanguageComboBox(OWLModel owlModel, String initialSelection)`
`static boolean` | `isRangeDefined(RDFResource resource, RDFProperty property)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentUtil

    public ComponentUtil()

Method Detail

### createDatatypeComboBox

    public static JComboBox createDatatypeComboBox(OWLModel owlModel)

### createLanguageComboBox

    public static JComboBox createLanguageComboBox(OWLModel owlModel)

### createLanguageComboBox

    public static JComboBox createLanguageComboBox(OWLModel owlModel,
                                                   String initialSelection)

### isRangeDefined

    public static boolean isRangeDefined(RDFResource resource,
                                         RDFProperty property)

### createLangCellEditor

    public static JComboBox createLangCellEditor(OWLModel owlModel,
                                                 JTable table)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.